org.eclipse.graphiti.ui.internal.util.draw2d

## Class LineSeg.Sign

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.util.draw2d.LineSeg.Sign

Enclosing class:
  LineSeg

    public static class LineSeg.Sign
    extends java.lang.Object

Enumeration class for defining the orientations of a point relative to the line segment. The orientations can be one of `POSITIVE` or `NEGATIVE`.

### Field Summary

Fields
`static LineSeg.Sign` `NEGATIVE` Constant designating an orientation that is negative relative to the lineseg vector.
`static LineSeg.Sign` `POSITIVE` Constant designating an orientation that is position relative to the lineseg vector.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### POSITIVE

    public static final LineSeg.Sign POSITIVE

Constant designating an orientation that is position relative to the lineseg vector.

#### NEGATIVE

    public static final LineSeg.Sign NEGATIVE

Constant designating an orientation that is negative relative to the lineseg vector.

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`